Monday, October 1, 2012

New firmware for BCM4329

I've added a new firmware version for BCM4329, this version resolves crashes on devices other than Nexus One (for example Evo 4G).

The new firmware:

Nexus One bundle - CM 7.2 nightly:

EVO 4G bundle - CM 7.2 stable (thanks for Miguel Martinez work):

Desire Z - CM 7.2 stable (thanks for j.mampe)

** The new firmware resolves errors like:
<4>[ 7585.014312] Dongle trap type 0x3 @ epc 0x1d7f8, cpsr 0x20000003, spsr 0x21000010, sp 0x47a9c,lp 0x2127, rpc 0x1d7f8 Trap offset 0x47a48, r0 0xc701ff0f, r1 0x3d410, r2 0x1, r3 0x1d7f1, r4 0x0, r5 0xc701ff0f, r6 0x3d410, r7 0x3d410

so if you tried to compile the driver for your device and experienced similar errors, give it another try :)